<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

$plugin_info = array(
				'pi_name'			=> 'Has Entries',
				'pi_version'		=> '1.0',
				'pi_author'			=> 'Rein de Vries',
				'pi_author_url'		=> 'http://reinos.nl/expressionengine/has-entries',
				'pi_description'	=> 'Check if the channel has entries',
				'pi_usage'			=> Has_entries::usage()
			);


class Has_entries {

	var $return_data;

	/**
	 * Constructor
	 * @param string $str
	 */
	function Has_entries($str = '')
	{
		$this->EE =& get_instance();

		//exact truncation
		$channels = explode('|', $this->EE->TMPL->fetch_param('channel', ''));
		$site_id = $this->EE->TMPL->fetch_param('site_id', ee()->config->item('site_id'));
		$prefix = $this->EE->TMPL->fetch_param('prefix', 'has_entries');

		//nothing?
		if(!empty($channels))
		{
			//get the data
			$q = ee()->db->from('channels')->where_in('channel_name', $channels)->where('site_id', $site_id)->get();

			$channel_data = array();
			$entry_count = 0;

			if($q->num_rows() > 0)
			{
				foreach($q->result() as $key => $row)
				{
					//prefix
					foreach($row as $k => $v)
					{
						$channel_data[$key][$prefix.":channel_data:".$k] = $v;
					}

					$entry_count += $row->total_entries;
				}
			}

			//nothing?
			if($entry_count == 0)
			{
				$this->return_data = '';
				return;
			}

			$str = ($str == '') ? ee()->TMPL->tagdata : $str;

			$variables[0][$prefix.':channel_data'] = $channel_data;
			$variables[0][$prefix.':entry_count'] = $entry_count;

			$this->return_data = ee()->TMPL->parse_variables($str, $variables);
			return;
		}

		$this->return_data = '';
		return;


	}

	// --------------------------------------------------------------------
	
	/**
	 * Usage
	 *
	 * Plugin Usage
	 *
	 * @access	public
	 * @return	string
	 */
	function usage()
	{
		ob_start(); 
		?>
		Wrap anything you want to be processed between the tag pairs.

		{exp:has_entries channel="channel_name_1|channel_name_2" parse="inward"}

			<ul>
				{has_entries:channel_data}
				<li>channel_id: {has_entries:channel_data:channel_id}</li>
				<li>site_id: {has_entries:channel_data:site_id}</li>
				<li>channel_name: {has_entries:channel_data:channel_name}</li>
				<li>channel_title: {has_entries:channel_data:channel_title}</li>
				<li>channel_url: {has_entries:channel_data:channel_url}</li>
				<li>total_entries: {has_entries:channel_data:total_entries}</li>
				<li>total_comments: {has_entries:channel_data:total_comments}</li>
				<li>last_entry_date: {has_entries:channel_data:last_entry_date}</li>
				<li>last_comment_date: {has_entries:channel_data:last_comment_date}</li>
				{/has_entries:channel_data}
				<li>entry_count: {has_entries:entry_count}</li>
			</ul>

			{exp:channel:entries channel="channel_name_1|channel_name_2"}
				...
			{/exp:channel:entries}

		{/exp:has_entries}

		<?php
		$buffer = ob_get_contents();
	
		ob_end_clean(); 

		return $buffer;
	}
	
	// --------------------------------------------------------------------

}
// END CLASS

/* End of file pi.char_limit.php */
/* Location: ./system/expressionengine/char_limit/pi.char_limit.php */